summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/pf
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/pf')
-rwxr-xr-xetc/rc.d/pf6
1 files changed, 5 insertions, 1 deletions
diff --git a/etc/rc.d/pf b/etc/rc.d/pf
index 8dcc40d..323e639 100755
--- a/etc/rc.d/pf
+++ b/etc/rc.d/pf
@@ -66,7 +66,11 @@ pf_resync()
pf_status()
{
- $pf_program -s info
+ if ! [ -c /dev/pf ] ; then
+ echo "pf.ko is not loaded"
+ else
+ $pf_program -s info
+ fi
}
run_rc_command "$1"
OpenPOWER on IntegriCloud